usb_msc_struct_t Struct Reference
Collaboration diagram for usb_msc_struct_t:
[legend]

## Data Fields

usb_device_handle | device_handle
class_handle_t | msc_handle
usb_msd_state_t | msc_state
uint8_t | current_configuration
uint8_t | current_interface_alternate_setting [USB_MSC_INTERFACE_COUNT]
uint8_t | speed
uint8_t | attach
usb_device_handle | deviceHandle
class_handle_t | mscHandle
uint8_t | storageDisk [DISK_SIZE_NORMAL]
uint8_t | diskLock
uint8_t | read_write_error
uint8_t | currentConfiguration
uint8_t | currentInterfaceAlternateSetting [USB_MSC_INTERFACE_COUNT]

## Field Documentation

uint8_t attach

uint8_t current_configuration

uint8_t current_interface_alternate_setting[USB_MSC_INTERFACE_COUNT]

uint8_t currentConfiguration

uint8_t currentInterfaceAlternateSetting[USB_MSC_INTERFACE_COUNT]

usb_device_handle device_handle

usb_device_handle deviceHandle

uint8_t diskLock

class_handle_t msc_handle

usb_msd_state_t msc_state

class_handle_t mscHandle

uint8_t read_write_error

uint8_t speed

uint8_t storageDisk[DISK_SIZE_NORMAL]

The documentation for this struct was generated from the following files:

- msc_disk.h
- disk.h